public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/asm/
Date: Fri, 30 Aug 2024 09:59:14 +0000 (UTC)	[thread overview]
Message-ID: <1725011860.9da3c70809961ff6e7dfed9672dc149652845360.fordfrog@gentoo> (raw)

commit:     9da3c70809961ff6e7dfed9672dc149652845360
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Sun Aug 18 15:15:20 2024 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Aug 30 09:57:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9da3c708

dev-java/asm: add 9.7

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/33579/commits/7d50a5b152ad5f3ca66a86f8ba107da28ee129ea
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/asm/Manifest       |  1 +
 dev-java/asm/asm-9.7.ebuild | 97 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-java/asm/Manifest b/dev-java/asm/Manifest
index 2ec40365fab3..18b5f35167c0 100644
--- a/dev-java/asm/Manifest
+++ b/dev-java/asm/Manifest
@@ -1 +1,2 @@
 DIST asm-ASM_9_6.tar.bz2 1374579 BLAKE2B 621b19f1818ffdd451037af210ec7c3286e3dabdb1d6192157c2e6e8c101f599691cd4de57adf500f5413b4aaf4f808d6ac791e84626223a7be5672a17137670 SHA512 86b2db3e81c29c465d4128736f88ae3b73af8f312915921549d0acdb50a8d2c2c2beed5162af164b6e75278702af0c6f0a8d84b4133516eb4ac419520b7c764d
+DIST asm-ASM_9_7.tar.bz2 1376322 BLAKE2B 397a884b257edfd61f67909390c8fe07880d5a295b51dd3982ebbe9b6f8fbac200c46913e6c18e4efdcc80f0e1f0b8463ca9d912484b466ca174b55919a1c259 SHA512 9b7f2d4895f105f75e2c42d8882b176dba32defb17d8da4bdedb2bfe4e5413b03c05a9694114d171aa9623e86a65a677a24ab16a47aef774342d56224400274f

diff --git a/dev-java/asm/asm-9.7.ebuild b/dev-java/asm/asm-9.7.ebuild
new file mode 100644
index 000000000000..eb1994183f55
--- /dev/null
+++ b/dev-java/asm/asm-9.7.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# tests not enabled because of missing eclass support of junit-jupiter
+JAVA_PKG_IUSE="doc source"
+MAVEN_PROVIDES="
+	org.ow2.asm:asm-bom:${PV}
+	org.ow2.asm:asm:${PV}
+	org.ow2.asm:asm-analysis:${PV}
+	org.ow2.asm:asm-commons:${PV}
+	org.ow2.asm:asm-tree:${PV}
+	org.ow2.asm:asm-util:${PV}
+"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Bytecode manipulation framework for Java"
+HOMEPAGE="https://asm.ow2.io"
+MY_P="ASM_${PV//./_}"
+SRC_URI="https://gitlab.ow2.org/asm/asm/-/archive/${MY_P}/asm-${MY_P}.tar.bz2"
+S="${WORKDIR}/asm-${MY_P}"
+
+LICENSE="BSD"
+SLOT="9"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
+
+DEPEND=">=virtual/jdk-11:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+ASM_MODULES=( "asm" "asm-tree" "asm-analysis" "asm-commons" "asm-util" )
+JAVADOC_SRC_DIRS=(
+	asm/src/main/java
+	asm-tree/src/main/java
+	asm-analysis/src/main/java
+	asm-commons/src/main/java
+	asm-util/src/main/java
+)
+
+src_prepare() {
+	default
+	local module
+	touch asm.module || die
+	for module in "${ASM_MODULES[@]}"; do
+		module=${module/-/.}
+		cat > ${module/./-}/src/main/java/module-info.java <<-EOF || die
+			open module org.objectweb.${module/analysis/tree.analysis} {
+				$(cat asm.module)
+				requires java.base;
+				exports org.objectweb.${module/analysis/tree.analysis};
+			}
+		EOF
+		echo "requires transitive org.objectweb.${module/analysis/tree.analysis};" \
+			>> asm.module || die
+	done
+	sed -e '/^$/d' \
+		-e '/asm;/p;s:\(asm\)\(;\):\1.signature\2:' \
+		-i  asm/src/main/java/module-info.java || die
+	sed -e '/analysis/d' \
+		-i  asm-commons/src/main/java/module-info.java || die
+	sed -e '/commons/d' \
+		-i  asm-util/src/main/java/module-info.java || die
+}
+
+src_compile() {
+	local module
+	for module in "${ASM_MODULES[@]}"; do
+		einfo "Compiling ${module}"
+		JAVA_JAR_FILENAME="${module}.jar"
+		JAVA_SRC_DIR="${module}/src/main/java"
+		java-pkg-simple_src_compile
+		JAVA_GENTOO_CLASSPATH_EXTRA+=":${module}.jar"
+		rm -r target || die
+	done
+
+	if use doc; then
+		einfo "Compiling javadocs"
+		for module in "${ASM_MODULES[@]}"; do
+			rm "${module}/src/main/java/module-info.java" || die
+			JAVA_SRC_DIR+=("${module}/src/main/java")
+		done
+		ejavadoc
+	fi
+}
+
+src_install() {
+	JAVA_JAR_FILENAME="asm.jar"
+	java-pkg-simple_src_install
+	local module
+	for module in asm-{analysis,commons,tree,util}; do
+		java-pkg_dojar ${module}.jar
+		if use source; then
+			java-pkg_dosrc "${module}/src/main/java/*"
+		fi
+	done
+}


             reply	other threads:[~2024-08-30  9:59 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-30  9:59 Miroslav Šulc [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-29 10:59 [gentoo-commits] repo/gentoo:master commit in: dev-java/asm/ Arthur Zamarin
2024-09-29 10:59 Arthur Zamarin
2024-09-29 10:59 Arthur Zamarin
2023-11-18  8:34 Miroslav Šulc
2023-11-17 12:07 Sam James
2023-11-17 12:07 Sam James
2023-11-17 11:13 Sam James
2023-11-17 11:09 Sam James
2023-10-18  7:54 Miroslav Šulc
2023-08-01  7:19 Miroslav Šulc
2023-07-31 22:38 Sam James
2023-07-31 22:38 Sam James
2023-07-31 11:36 Sam James
2023-07-31 11:36 Sam James
2023-06-30  7:27 Miroslav Šulc
2023-02-28 12:47 Miroslav Šulc
2023-01-08 19:00 Arthur Zamarin
2023-01-08 18:28 Arthur Zamarin
2023-01-08 18:28 Arthur Zamarin
2023-01-08 18:06 Arthur Zamarin
2023-01-08 17:00 Arthur Zamarin
2022-12-10  3:43 Sam James
2022-12-09 10:59 Miroslav Šulc
2022-12-09 10:59 Miroslav Šulc
2022-12-09  8:18 Miroslav Šulc
2022-06-05  6:18 Miroslav Šulc
2022-06-04 11:15 Jakov Smolić
2022-06-04 10:44 Jakov Smolić
2022-06-03 21:32 Jakov Smolić
2022-06-03 21:32 Jakov Smolić
2022-05-04 19:51 Florian Schmaus
2021-11-21 10:25 Miroslav Šulc
2021-11-10 16:47 Sam James
2021-09-22  9:43 Miroslav Šulc
2021-08-27 20:04 Sam James
2021-08-27 20:00 Sam James
2021-08-27 20:00 Sam James
2021-07-28  5:14 Miroslav Šulc
2021-05-06 16:55 Miroslav Šulc
2021-05-02 17:55 Miroslav Šulc
2021-04-21 17:34 Miroslav Šulc
2021-04-07  6:21 Sam James
2021-04-05 16:45 Sam James
2021-04-05 16:43 Sam James
2021-04-04 21:21 Sergei Trofimovich
2021-03-30  8:56 Miroslav Šulc
2021-03-28 11:00 Sam James
2021-03-28 11:00 Sam James
2021-03-28 10:02 Agostino Sarubbo
2021-03-28 10:00 Agostino Sarubbo
2021-03-15 12:46 Miroslav Šulc
2021-03-15  8:17 Miroslav Šulc
2020-07-20  1:10 Sam James
2018-03-01  8:39 Michał Górny
2017-07-13 12:13 Alexis Ballier
2016-04-15  8:09 Patrice Clement
2016-02-19 20:26 Patrice Clement
2016-02-07 19:18 Patrice Clement
2016-02-07 19:18 Patrice Clement
2016-02-07 19:18 Patrice Clement
2016-02-07 19:18 Patrice Clement
2016-02-07 19:18 Patrice Clement
2015-11-09  9:27 Patrice Clement
2015-11-09  9:27 Patrice Clement
2015-11-09  9:27 Patrice Clement
2015-11-09  9:27 Patrice Clement
2015-11-09  9:27 Patrice Clement
2015-11-01 19:12 Patrice Clement
2015-10-13 10:38 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1725011860.9da3c70809961ff6e7dfed9672dc149652845360.fordfrog@gentoo \
    --to=fordfrog@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox